# Constant Field Values

## Contents

- com.clickhouse.*

## com.clickhouse.*

com.clickhouse.jdbc.ClickHouseConnection
Modifier and Type
Constant Field
Value
`public static final String`
`COLUMN_ARRAY`
`"array"`
`public static final String`
`COLUMN_ELEMENT`
`"element"`
`public static final String`
`PROP_APPLICATION_NAME`
`"ApplicationName"`
`public static final String`
`PROP_CUSTOM_HTTP_HEADERS`
`"CustomHttpHeaders"`
`public static final String`
`PROP_CUSTOM_HTTP_PARAMS`
`"CustomHttpParameters"`
com.clickhouse.jdbc.JdbcConfig
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_AUTO_COMMIT`
`"autoCommit"`
`public static final String`
`PROP_CONTINUE_BATCH`
`"continueBatchOnError"`
`public static final String`
`PROP_CREATE_DATABASE`
`"createDatabaseIfNotExist"`
`public static final String`
`PROP_DATABASE_TERM`
`"databaseTerm"`
`public static final String`
`PROP_DIALECT`
`"dialect"`
`public static final String`
`PROP_EXTERNAL_DATABASE`
`"externalDatabase"`
`public static final String`
`PROP_FETCH_SIZE`
`"fetchSize"`
`public static final String`
`PROP_JDBC_COMPLIANT`
`"jdbcCompliant"`
`public static final String`
`PROP_LOCAL_FILE`
`"localFile"`
`public static final String`
`PROP_NAMED_PARAM`
`"namedParameter"`
`public static final String`
`PROP_NULL_AS_DEFAULT`
`"nullAsDefault"`
`public static final String`
`PROP_TX_SUPPORT`
`"transactionSupport"`
`public static final String`
`PROP_TYPE_MAP`
`"typeMappings"`
`public static final String`
`PROP_WRAPPER_OBJ`
`"wrapperObject"`
com.clickhouse.jdbc.SqlExceptionUtils
Modifier and Type
Constant Field
Value
`public static final String`
`SQL_STATE_CLIENT_ERROR`
`"HY000"`
`public static final String`
`SQL_STATE_CONNECTION_EXCEPTION`
`"08000"`
`public static final String`
`SQL_STATE_DATA_EXCEPTION`
`"22000"`
`public static final String`
`SQL_STATE_FEATURE_NOT_SUPPORTED`
`"0A000"`
`public static final String`
`SQL_STATE_INVALID_SCHEMA`
`"3F000"`
`public static final String`
`SQL_STATE_INVALID_TX_STATE`
`"25000"`
`public static final String`
`SQL_STATE_NO_DATA`
`"02000"`
`public static final String`
`SQL_STATE_OPERATION_CANCELLED`
`"HY008"`
`public static final String`
`SQL_STATE_SQL_ERROR`
`"07000"`